var webpack = require('webpack');
var path = require("path");

var config = {
  entry: "./static/js/quay.module.ts",
  output: {
    path: path.resolve(__dirname, "static/build"),
    filename: "bundle.js"
  },
  resolve: {
    extensions: [".ts", ".tsx", ".js", ".scss"],
    alias: {
      sass: path.resolve(__dirname, 'static/css/directives/components/pages/')
    }
  },
  // Use window.angular to maintain compatibility with non-Webpack components
  externals: {
    angular: "angular",
  },
  module: {
    rules: [
      {
        test: /\.tsx?$/,
        use: [
          "ts-loader",
        ],
        exclude: /node_modules/
      },
      {
        test: /\.scss$/,
        use: [
          "style-loader",
          "css-loader",
          "sass-loader",
        ],
        exclude: /node_modules/
      },
    ]
  },
  devtool: "source-map",
};

module.exports = config;
